^Palettes:
    # Base colors    
    FixedColorPalette@Purple1:
        Base: terrain
        Name: Purple1
        RemapIndex: 140, 141, 142, 143, 144, 145, 146, 147, 148, 149, 150, 151, 152, 153, 154, 155
        Color: 8000e0
        Ramp: 0.4
    FixedColorPalette@Purple:
        Base: Purple1
        Name: Purple
        RemapIndex: 26, 30
        Color: 200040
        Ramp: 1

    FixedColorPalette@White1:
        Base: terrain
        Name: White1
        RemapIndex: 140, 141, 142, 143, 144, 145, 146, 147, 148, 149, 150, 151, 152, 153, 154, 155
        Color: ffffff  
        Ramp: 0.6
    FixedColorPalette@White:
        Base: White1
        Name: White
        RemapIndex: 26, 30
        Color: 404040  
        Ramp: 1
        
    # Shades	
    PaletteFromPaletteWithAlpha@White25:
        Name: White25
        BasePalette: White
        Alpha: 0.25	        
    PaletteFromPaletteWithAlpha@White50:
        Name: White50
        BasePalette: White
        Alpha: 0.50	        
    PaletteFromPaletteWithAlpha@White75:
        Name: White75
        BasePalette: White
        Alpha: 0.75	        
        
        
^ColoredTrees:        
    WithIdleOverlay@Purple:
		Sequence: idle
        RequiresCondition: Purple || Purple25 || Purple50 || Purple75
		Palette: Purple
    WithIdleOverlay@White:
		Sequence: idle
        RequiresCondition: White 
		Palette: White
        
    WithIdleOverlay@White25:
		Sequence: idle
        RequiresCondition: Purple25 
		Palette: White25
    WithIdleOverlay@White50:
		Sequence: idle
        RequiresCondition: Purple50 
		Palette: White50
    WithIdleOverlay@White75:
		Sequence: idle
        RequiresCondition: Purple75 
		Palette: White75

    ConditionManager:
    GrantRandomCondition@COLORS:
        Conditions: Purple50, Purple75, White #, Purple, Purple25,
    WithSpriteBody:
		RequiresCondition: !Purple50 && !Purple75 && !White  # && !Purple25 && !Purple 

T03:
	Inherits@COLOR: ^ColoredTrees
T10:
	Inherits@COLOR: ^ColoredTrees
T11:
	Inherits@COLOR: ^ColoredTrees
T12:
	Inherits@COLOR: ^ColoredTrees
T13:
	Inherits@COLOR: ^ColoredTrees
T14:
	Inherits@COLOR: ^ColoredTrees
T15:
	Inherits@COLOR: ^ColoredTrees
T17:
	Inherits@COLOR: ^ColoredTrees
TC02:
	Inherits@COLOR: ^ColoredTrees
TC05:
	Inherits@COLOR: ^ColoredTrees